/*
 * JPA entity PK template
 */

package de.ivu.elect.business.fremdkandidatur.entity;

@javax.enterprise.inject.Vetoed
public class FremdkandidaturPK extends de.ivu.elect.jee.entity.EntityLongPK implements Comparable<FremdkandidaturPK> {

  private static final long serialVersionUID = 0L;

  public FremdkandidaturPK() {
    super();
  }

  public FremdkandidaturPK(java.lang.Long id) {
    super(id);
  }

  @Override
  public String toString(){
    return "FremdkandidaturPK:"+getId();
  }

  @Override
  public int compareTo(FremdkandidaturPK o) {
  	if (o == null) {
  		return -1;
  	}
  	if (getId() == null) {
  		if (o.getId() == null) {
  			return 0;
  		}
  		return 1;
  	}
  	if (o.getId() == null) {
  		return -1;
  	}
    return getId().compareTo(o.getId());
  }

}
